love.window.setMode(800,600,{resizable = true, highdpi = true}) -- Just to make the screen resizable, and this works with HighDpi

local yourCanvasName = love.graphics.newCanvas(256,144) -- Game resolution

function love.draw()
	love.graphics.setCanvas(yourCanvasName) -- Set rendering to the canvas


	-- Render stuff in the game here
	love.graphics.rectangle("line",0,0,256,144) -- Draw on the outline of canvas


	love.graphics.setCanvas() -- Set rendering to the screen
	local screenW,screenH = love.graphics.getDimensions() -- Get Dimensions of the window
	local canvasW,canvasH = yourCanvasName:getDimensions() -- Get Dimensions of the game canvas
	local scale = math.min(screenW/canvasW , screenH/canvasH) -- Scale canvas to the screen, You can also change this with 1 if you don't want to scale. Or wrap it in a math.floor to only scale integers.
	--local scale = math.floor(math.min(screenW/canvasW , screenH/canvasH)) -- Scale to the nearest integer 
	--local scale = 1 -- Don't scale

	love.graphics.push() -- Push transformation state, The translate and scale will affect everything bellow until love.graphics.pop()
	love.graphics.translate( math.floor((screenW - canvasW * scale)/2) , math.floor((screenH - canvasH * scale)/2)) -- Move to the appropiate top left corner
	love.graphics.scale(scale,scale) -- Scale
	love.graphics.draw(yourCanvasName) -- Draw the canvas
	love.graphics.pop() -- pop transformation state
end